Bug 816330 - Thinkpad X220 Tablet buttons on Bezel don't work
Thinkpad X220 Tablet buttons on Bezel don't work
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: acpi (Show other bugs)
16
x86_64 Linux
unspecified Severity low
: ---
: ---
Assigned To: Steven M. Parrish
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-25 15:52 EDT by nathan.vany
Modified: 2013-02-13 17:26 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 17:26:15 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description nathan.vany 2012-04-25 15:52:43 EDT
Description of problem:Thinkpad buttons (the three on the tablet bezel, as well as the microphone mute button) do not work, and do not send events that xev or acpi_listen detect


Version-Release number of selected component (if applicable):


How reproducible:  Please test on F17.  Always occurs on F16


Steps to Reproduce:
1.  Boot fedora 
2.  Start either xev or acpi_listen
3.  Press buttons
  
Actual results:  No events detected from "circle arrow", "window orientation", or bezel power buttons.  Microphone Mute button sends key 248 according to showkey, but nothing detected in acpi_listen or xev.


Expected results:  I think "Circle Arrow" button should send XF86Tools, and "window orientation" button should send XF86RotateWindows.  Remaining button on the bezel should be a power button.


Additional info:
Comment 1 nathan.vany 2012-04-25 16:03:19 EDT
I filed this under "acpi" as there was no "thinkpad_acpi" component listed.
Comment 2 William Cunningham 2012-07-26 16:34:07 EDT
Fedora 17 Default Installation status:

Xev recognizes the circle-arrow button as keycode 162, keysym 0x1008ff74, and XF86RotateWindows. Xev recognizes the rotate screen button as keycode 161, keysym 0x0 and NoSymbol. Xev does not recognize the third button at all. Xbindkeys recognizes all three as above, plus the third button is listed as m:0x0 + c:124 and XF86PowerOff.

I'm somewhat concerned by the NoSymbol one, but I don't know what to do about it.
Comment 3 Fedora End Of Life 2013-01-16 12:35:23 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Fedora End Of Life 2013-02-13 17:26:18 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.